<template>
  <app-frame :tabs="tabs">
    <img src="https://webapp-pub.ezijing.com/www/pc/news/news.png" class="banner" />
    <template #article>
      <article-list v-bind="listOptions"></article-list>
    </template>
  </app-frame>
</template>

<script>
import AppFrame from '@/components/AppFrame'
import navList from '@/assets/internationalDegreeNavList.js'
import ArticleList from '@/components/ArticleList'
import { getArticleList } from '@/api'

export default {
  components: { AppFrame, ArticleList },
  data() {
    return {
      tabs: navList
    }
  },
  computed: {
    listOptions() {
      return {
        remote: {
          httpRequest: getArticleList,
          params: {
            project_ids: [
              '6800243768751554560',
              '6808657045168848896',
              '6808657689426526208',
              '6805762100502200320',
              '6808658580045037568',
              '6823789210604929024'
            ],
            type_tag: 'article_news_hot'
          }
        },
        to(item) {
          return { name: 'internationalDegree-news-id', params: { id: item.id } }
        }
      }
    }
  }
}
</script>
